# $Revision: 1.9 $, $Date: 2002/08/26 07:43:14 $
Summary:	Berkeley SPICE 3 Circuit Simulator
Summary(es):	SPICE simulador de circuitos
Summary(pl):	Symulator ukadw elektronicznych Berkeley SPICE 3
Summary(pt_BR):	SPICE simulador de circuitos
Name:		spice
Version:	3f5sfix
Release:	2
License:	BSD
Group:		Applications/Math
Source0:	ftp://sunsite.unc.edu/apps/circuits/%{name}%{version}.tar.gz
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SPICE 3 is a general-purpose circuit simulation program for nonlinear
dc, nonlinear transient, and linear ac analyses. Circuits may contain
resistors, capacitors, inductors, mutual inductors, independent
voltage and current sources, four types of dependent sources,
transmission lines, and the four most common semiconductor devices:
diodes, BJT's, JFET's, and MOSFET's.

This is Spice 3f4 patched to 3f5, and includes the new port patches
for Linux, including GNU Lib C support, GNU Readline command-line
editing and history file support, and native Spice support for X11R6
and MFB.

%description -l es
SPICE es un programa de propsito general para simulacin de circuitos
para dc no linear, transiente no linear y anlisis de ac linear. Los
circuitos pueden contener resistores, capacitores, inductores,
inductores mutuos, fuentes independientes de voltaje, cuatro tipos de
fuentes dependientes, lneas de transmisin y cuatro de los
dispositivos semiconductores ms comunes: diodos, BJTs, JFETs y
MOSFETs.

%description -l pl
SPICE 3 to oglnego przeznaczenia symulator ukadw elektronicznych do
analizy nieliniowej prdu staego i liniowej prdu zmiennego. Obwody
mog zawiera rezystory, kondensatory, cewki, niezalene rda
napiciowe i prdowe, cztery rodzaje zalenych rde, linie
transmisyjne, cztery najbardziej popularne rodzaje pprzewodnikw:
diody, BJT, JFET i MOSFET.

%description -l pt_BR
SPICE  um programa de propsito geral para simulao de circuitos
para dc no linear, transiente no linear e anlises de ac linear.
Circuitos podem conter resistores, capacitores, indutores, indutores
mtuos, fontes independentes de voltagem, quatro tipos de fontes
dependentes, linhas de transmisso e quatro dos dispositivos
semicondutores mais comuns: diodos, BJTs, JFETs e MOSFETs.

%package examples
Summary:	Berkeley SPICE 3 Example Files
Summary(es):	Archivos con ejemplos para  SPICE 3 de Berkeley
Summary(pl):	Przykadowe pliki do Berkeley SPICE 3
Summary(pt_BR):	Arquivos com exemplos para o SPICE 3 de Berkeley
Group:		Applications/Math
Requires:	%{name} >= 3f4

%description examples
These are SPICE 3 example files for use with Berkeley SPICE 3.

%description examples -l es
Archivos con ejemplos para SPICE 3 de Berkeley.

%description examples -l pl
Pakiet zawiera przykadowe pliki do Berkeley SPICE 3.

%description examples -l pt_BR
Arquivos com exemplos para o SPICE 3 de Berkeley.

%prep
%setup -q -n %{name}%{version}

%build
./util/build linux \
	CC_OPT="%{rpmcflags}" \
	LDFLAGS="-ltinfo -lm %{rpmldflags}" \
	S_SPICE_EXEC_DIR="%{_libdir}/spice/" \
	S_SPICE_LIB_DIR="%{_datadir}/spice/"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/spice,%{_datadir}/spice/{scripts,helpdir},%{_mandir}/man1}

install obj/bin/{nutmeg,sconvert,spice3} $RPM_BUILD_ROOT%{_bindir}
install obj/bin/{help,makeidx,multidec,proc2mod} $RPM_BUILD_ROOT%{_libdir}/spice
ln -s spice3 $RPM_BUILD_ROOT%{_bindir}/spice

install lib/{mfbcap,news} $RPM_BUILD_ROOT%{_datadir}/spice/
install lib/helpdir/* $RPM_BUILD_ROOT%{_datadir}/spice/helpdir
install lib/scripts/* $RPM_BUILD_ROOT%{_datadir}/spice/scripts

install man/man1/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

echo ".so spice.1" > $RPM_BUILD_ROOT%{_mandir}/man1/spice3.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc readme readme.Linux Linux.changes notes/{spice2,internal}
%doc 3f5patches/README*
%attr(0755,root,root) %{_bindir}/*
%dir %{_libdir}/spice
%attr(0755,root,root) %{_libdir}/spice/*
%{_datadir}/spice
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: spice.spec,v $
Revision 1.9  2002/08/26 07:43:14  kloczek
- release 2: use new %doc.

Revision 1.8  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/02 09:13:40  kloczek
- cosmetics.

Revision 1.4  2001/12/23 18:24:39  qboosh
- debug-ready LDFLAGS

Revision 1.3  2001/12/23 10:44:12  jajcus
- Version: 3f5sfix STBR
- heavy rewrite (version differences,FHS fixes,PLDization)

Revision 1.2  2001/12/13 12:25:45  qboosh
- fixed group, adapterized, pl translations, cleanups

* Sun Nov 18 2001 Claudio Matsuoka <claudio@conectiva.com>
+ spice-3f4-17cl
- fixed file permissions

* Thu May 10 2001 Arnaldo Carvalho de Melo <acme@conectiva.com>
+ spice-3f4-16cl
- recompiled with new libreadline

* Fri Mar 02 2001 Rodrigo Barbosa <rodrigob@conectiva.com>
+ spice-3f4-15cl
- Updating rpm macros

* Fri Oct 06 2000 Rodrigo Barbosa <rodrigob@conectiva.com>
- Rebuild with ncurses
- Fixed source URLS

* Fri Sep 15 2000 Rodrigo Barbosa <rodrigob@conectiva.com>
- Adopted rpm macros
- New patches from metalab
- Changes to build in %%{buildroot}

* Thu Jan 13 2000 Guilherme Wunsch Manika <gwm@conectiva.com>
- termlib -> ncurses

* Wed Jun  9 1999 Conectiva <dist@conectiva.com>
- Recompiled with glibc 2.1.x, egcs 1.1.x, rpm 3.0.x and kernel 2.2.x

* Fri Mar 19 1999 Conectiva <dist@conectiva.com>
- added Group, Summary and %%description translations

* Tue Dec 08 1998 Arnaldo Carvalho de Melo <acme@conectiva.com>
- tradues para pt_BR includas para Summary, %%description e Group
- compactado com bzip2
